### Function

# Gio UnixMountMonitor get

since: 2.44

#### Declaration

    GUnixMountMonitor*
    g_unix_mount_monitor_get (
      void
    )

#### Description

Gets the `GUnixMountMonitor` for the current thread-default main context.

The mount monitor can be used to monitor for changes to the list of mounted filesystems as well as the list of mount points (ie: fstab entries).

You must only call `g_object_unref()` on the return value from under the same main context as you called this function.

Available since: 2.44

#### Return value

Type: `GUnixMountMonitor`

The `GUnixMountMonitor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.